%% construct Figure 8
clear; clc
load ('three_period_varyp')

figure(1)
plot(P_grid,CE_grid,'LineWidth',2,'LineStyle','-','color',[1 0.2 0.2]);hold on
plot(P_grid,CSP_grid,'LineWidth',2,'LineStyle','--','color',[0.2 0.8 0.5]);hold on
legend('CE','MP')
axis tight
grid on
xlabel('$p$','interpret','latex')
set(gca,'fontsize',20)
set(gcf, 'PaperPosition', [0 0 5 5]); %Position the plot further to the left and down. Extend the plot to fill entire paper.
set(gcf, 'PaperSize', [5 5]); %Keep the same paper size
% saveas(gcf, 'trade_off_onp_avg', 'pdf')
load ('three_period_varyphi')

figure(2)
plot(phi_grid,CE_grid,'LineWidth',2,'LineStyle','-','color',[1 0.2 0.2]);hold on
plot(phi_grid,CSP_grid,'LineWidth',2,'LineStyle','--','color',[0.2 0.8 0.5]);hold on
legend('CE','MP','location','southeast')
axis tight
grid on
xlabel('$p$','interpret','latex')
set(gca,'fontsize',20)
set(gcf, 'PaperPosition', [0 0 5 5]); %Position the plot further to the left and down. Extend the plot to fill entire paper.
set(gcf, 'PaperSize', [5 5]); %Keep the same paper size
% saveas(gcf, 'trade_off_onp_avg', 'pdf')
